=== release 1.25.50 ===

2025-02-09 17:35:17 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.25.50

2024-06-11 17:46:11 +0200  Ruben Gonzalez <rgonzalez@fluendo.com>

	* meson.build:
	  meson: use nls option to ENABLE_NLS
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7017>

2025-01-23 20:55:15 +1100  Brad Hards <bradh@frogmouth.net>

	* ext/x264/gstx264enc.c:
	  x264enc: switch to GstByteWriter
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8346>

2025-01-16 17:16:53 +1100  Brad Hards <bradh@frogmouth.net>

	* ext/x264/gstx264enc.c:
	  x264enc: add missing data to AvcDecoderConfigurationRecord
	  This adds the data required in AVCDecoderConfigurationRecord for
	  higher profile (High variants) configurations - everything in the if(...) {...} part
	  of ISO/IEC 14496-15:2024 Section 5.3.2.1.2. (or 5.3.3.1.2 in the 2019 version).
	  Resolves an error flagged by ComplianceWarden when muxing this into ISOBMFF.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8308>

2025-01-15 17:36:00 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/meson.build:
	  docs: generate hotdoc configs for libraries with our helper script
	  With this patch, configure time is identical no matter whether doc is
	  enabled or not.
	  The configuration files also now contain explicitly-listed sources with
	  no wildcards.
	  For the four libraries where hotdoc needs to use clang to generate the
	  documentation (as opposed to the rest of the libraries where hotdoc uses
	  the gir), the script will call pkg-config to determine the appropriate
	  C flags.
	  This means a side effect of this patch is that pkg-config files are now
	  generated for the gstadaptivedemux and gstopencv libraries.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8312>

2025-01-17 16:51:22 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* meson.build:
	  meson: bump minimum version to 1.4 in every subprojects
	  36c01d05797ad9c7778939c54870f979bdcbba1f bumped to 1.4 for gst-devtools
	  and the root project, but we usually keep those in sync everywhere.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8312>

2025-01-14 15:00:43 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.25.1

=== release 1.25.1 ===

2025-01-14 14:52:48 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.25.1

2025-01-13 18:10:31 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/meson.build:
	* ext/a52dec/meson.build:
	* ext/cdio/meson.build:
	* ext/dvdread/meson.build:
	* ext/mpeg2dec/meson.build:
	* ext/sidplay/meson.build:
	* ext/x264/meson.build:
	* gst/asfdemux/meson.build:
	* gst/dvdlpcmdec/meson.build:
	* gst/dvdsub/meson.build:
	* gst/meson.build:
	* gst/realmedia/meson.build:
	* meson.build:
	  docs: port plugins to explicit sources
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8273>

2025-01-10 08:58:11 +0100  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rademux.c:
	* meson.build:
	  ugly: Add more warning flags
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8229>

2025-01-10 09:10:00 +0100  Edward Hervey <edward@centricular.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Add missing fallthrough statements
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8229>

2024-12-18 13:18:32 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	  doc: Handle gst_dep.get_variable('libexecdir') failure
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8178>

2024-12-18 12:27:30 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	  doc: Allow updating the plugins cache for all modules even if hotdoc is not present
	  This was possible for some modules but not all, for no good reason.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8178>

2021-03-05 19:00:56 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/gst_plugins_cache.json:
	* docs/meson.build:
	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: expose nal-hrd property
	  It can be used to force true CBR, and will cause the encoder
	  to output null padding packets.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/908>

2024-11-15 11:46:14 -0300  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	  meson: Bump minimum version to 1.3
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4025
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7899>

2024-11-03 17:30:40 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/meson.build:
	  meson: bail out earlier in docs subdir if docs are disabled
	  The gst_dep.get_variable('libexecdir') may fail in some scenarios
	  (e.g. building a module alone inside an uninstalled devenv) and
	  it shouldn't really be reached in the first place if docs are
	  disabled via options.
	  Also to avoid confusing meson messages when cross-compiling or
	  doing a static build.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7818>

2024-11-03 17:37:09 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/es.po:
	* po/hr.po:
	* po/ro.po:
	  gst-plugins-ugly: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7819>

2024-10-16 08:22:53 -0300  Eli Mallon <eli@aquareum.tv>

	* ext/x264/gstx264enc.h:
	  gstx264enc: fix for static builds on windows
	  Fixes #3911
	  Co-authored-by: L. E. Segovia <amy@centricular.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7672>

2024-08-09 10:41:57 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/x264/gstx264enc.c:
	  common: Stop using GQuark-based GstStructure name API
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7432>

2024-07-22 09:29:52 +0200  Sebastian Gross <sgross@emlix.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Be more lenient towards malformed header
	  VLC counts METADATA as 1 even if the specification states you must not.
	  This leads to asfdemux failing since there are no bytes left when asfdemux
	  tries to extract the "last" header.
	  Do not fail hard in this case and try to proceed when everything else went
	  fine.
	  So at least gst-discoverer will see what's in the file.
	  Closes #3684
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7209>

2020-04-08 10:40:42 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* meson.build:
	* meson_options.txt:
	  build: Add missing common options that are yielding in subprojects
	  - Align `glib_debug`, `glib_assert` and `glib_checks` options with GLib,
	  otherwise glib subproject won't inherit their value. Previous names
	  and values are preserved using Meson's deprecation mechanism.
	  - Add `extra-checks` and `benchmarks` options in the main project so it
	  can be inherited in GStreamer subprojects.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1165>

2024-03-05 12:58:57 +0000  Tim-Philipp Müller <tim@centricular.com>

	* README.md:
	* RELEASE:
	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6261>

=== release 1.24.0 ===

2024-03-04 23:51:42 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* README.md:
	* RELEASE:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.24.0

2024-02-26 09:27:40 +0100  Edward Hervey <edward@centricular.com>

	* README.md:
	* RELEASE:
	  docs: Use Discourse and Matrix as prefered communication channels
	  Part of: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6220

=== release 1.23.90 ===

2024-02-23 18:20:11 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.23.90

2023-09-17 18:47:31 +0200  Jochen Henneberg <jh@henneberg-systemdesign.com>

	* gst/asfdemux/gstrtpasfdepay.c:
	  rtpasfdepay: Enabled header extension aggregation
	  Because this depayloader may build several output buffers within one
	  process run we push them all into a GstBufferList and push them out at
	  once to make sure that each buffer gets notified about each header
	  extension.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5378>

2024-02-15 16:38:53 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6126>

=== release 1.23.2 ===

2024-02-15 15:37:17 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.23.2

2024-02-14 00:38:10 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/lv.po:
	  gst-plugins-ugly: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6113>

2024-02-10 19:47:24 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/gst_plugins_cache.json:
	* gst/realmedia/asmrules.c:
	* gst/realmedia/asmrules.h:
	* gst/realmedia/gstrdtbuffer.c:
	* gst/realmedia/gstrdtbuffer.h:
	* gst/realmedia/meson.build:
	* gst/realmedia/rdtdepay.c:
	* gst/realmedia/rdtdepay.h:
	* gst/realmedia/rdtjitterbuffer.c:
	* gst/realmedia/rdtjitterbuffer.h:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rdtmanager.h:
	* gst/realmedia/realhash.c:
	* gst/realmedia/realhash.h:
	* gst/realmedia/realmedia.c:
	* gst/realmedia/rtspreal.c:
	* gst/realmedia/rtspreal.h:
	  realmedia: remove RealServer RTSP extension, RDT handling and PNM source
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6091>

2024-02-06 18:09:02 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6066>

=== release 1.23.1 ===

2024-02-06 16:37:19 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.23.1

2024-01-28 11:15:01 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: bump Meson requirement to >= 1.1 for all modules
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6002>

2023-11-02 00:03:28 +0900  Seungha Yang <seungha@centricular.com>

	* meson.build:
	  meson: Fix MSVC build with GST_DISABLE_GST_DEBUG
	  MSVC does not understand Wno-unused
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5585>

2022-04-06 12:56:30 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: Bump GLib requirement to >= 2.64
	  This includes fixes to make GstBus watches non-racy.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2126>

2023-09-13 10:12:44 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/x264/meson.build:
	  x264: Check that minimum version is met
	  Since the addition of monochrome encoding support, we now depends on build 156.
	  No version check was happening so far.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5325>

2023-06-08 14:21:07 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* docs/gst_plugins_cache.json:
	* ext/x264/gstx264enc.c:
	* tests/check/elements/x264enc.c:
	  x264enc: Add monochrome 8bit support
	  This is mapped to GStreamer GRAY8 format. This allow producing files with
	  the chroma_format_idc 0 (monochrome). This is only availbable to high profile.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4812>

2023-07-07 10:08:21 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/realmedia/rmdemux.c:
	  rmdemux: Check for integer overflow when calculation audio packet size
	  Fixes ZDI-CAN-21444
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/2782
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5072>

2023-07-07 10:08:03 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/realmedia/rmdemux.c:
	  rmdemux: Use GST_LOG_OBJECT instead of GST_LOG
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5072>

2023-07-07 10:00:19 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/realmedia/rmdemux.c:
	  rmdemux: Check that enough SIPR audio data is available when copying
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5072>

2023-07-07 09:59:20 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/realmedia/rmdemux.c:
	  rmdemux: Check for integer overflows when calculating the size of SIPR audio buffers
	  Fixes ZDI-CAN-21443
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/2782
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5072>

2023-07-07 09:59:04 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/realmedia/rmdemux.c:
	  rmdemux: Use GST_LOG_OBJECT instead of GST_LOG
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5072>

2023-07-05 18:46:25 -0600  Olivier Crête <olivier.crete@collabora.com>

	* scripts/gen-changelog.py:
	  gst-omx: Retire the whole package
	  The OpenMAX standard is long dead and even the Raspberry Pi OS
	  no longer supports it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4976>

2023-07-12 09:27:22 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* tests/check/meson.build:
	  meson: Always use forward slashes in defines with paths
	  Fixes the following build failure on MSYS2:
	  ```
	  ../subprojects/gstreamer/tests/check/elements/filesrc.c: In function 'test_seeking':
	  ../subprojects/gstreamer/tests/check/elements/filesrc.c:107:53: error: incomplete universal character name \U
	  107 |   g_object_set (G_OBJECT (src), "location", TESTFILE, NULL);
	  |                                                     ^
	  ../subprojects/gstreamer/tests/check/elements/filesrc.c:107:53: warning: unknown escape sequence: '\A'
	  ../subprojects/gstreamer/tests/check/elements/filesrc.c:107:53: warning: unknown escape sequence: '\g'
	  ../subprojects/gstreamer/tests/check/elements/filesrc.c:107:53: warning: unknown escape sequence: '\s'
	  ../subprojects/gstreamer/tests/check/elements/filesrc.c:107:53: warning: unknown escape sequence: '\g'
	  ../subprojects/gstreamer/tests/check/elements/filesrc.c:107:53: warning: unknown escape sequence: '\c'
	  ```
	  Due to: `-DTESTFILE=\"C:\\Users\\Administrator\[...]`
	  https://gitlab.freedesktop.org/nirbheek/gstreamer/-/jobs/45317733
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5018>

2023-03-07 14:05:54 +0100  Stéphane Cerveau <scerveau@igalia.com>

	* tests/meson.build:
	  gstreamer-full: add full static support
	  Allow a project to use gstreamer-full as a static library
	  and link to create a binary without dependencies.
	  Introduce the option 'gst-full-target-type' to
	  select the build type, dynamic(default) or static.
	  In gstreamer-full/static build configuration gstreamer (gst.c)
	  needs the symbol gst_init_static_plugins which is defined
	  in gstreamer-full.
	  All the tests and examples are linking with gstreamer but the
	  symbol gst_init_static_plugins is only defined in the gstreamer-full
	  library. gstreamer-full can not be built first as it needs to know what plugins
	  will be built.
	  One option would be to build all the examples and tests after
	  gstreamer-full as the tools.
	  Disable tools build in subprojects too as it will be built at the end of
	  build process.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4128>

2023-05-17 22:58:46 +0200  Ruben Gonzalez <rgonzalez@fluendo.com>

	* README.md:
	  README.md: fix current version
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4662>

2023-05-10 08:57:40 +0200  Edward Hervey <edward@centricular.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Fix conflicting type declaration
	  It was always a GstFlowReturn
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4588>

2023-04-28 16:06:24 +0100  Tim-Philipp Müller <tim@centricular.com>

	* REQUIREMENTS:
	* docs/gst_plugins_cache.json:
	* ext/amrnb/GstAmrnbEnc.prs:
	* ext/amrnb/README:
	* ext/amrnb/amrnb.c:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbdec.h:
	* ext/amrnb/amrnbenc.c:
	* ext/amrnb/amrnbenc.h:
	* ext/amrnb/meson.build:
	* ext/amrwbdec/README:
	* ext/amrwbdec/amrwb.c:
	* ext/amrwbdec/amrwbdec.c:
	* ext/amrwbdec/amrwbdec.h:
	* ext/amrwbdec/meson.build:
	* ext/meson.build:
	* meson_options.txt:
	* tests/check/elements/amrnbenc.c:
	* tests/check/gst-plugins-ugly.supp:
	* tests/check/meson.build:
	  amrnb, amrwbdec: move AMR-NB and AMR-WB plugins to -good
	  Fedora ships these libraries as part of the main distribution now,
	  and they are decades old anyway so don't implement any of the newer
	  features.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4512>

2023-03-19 15:35:29 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	  doc: Avoid shelling out to hotdoc to generate plugins config files
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4479>

2023-04-11 11:50:57 -0400  Arun Raghavan <arun@asymptotic.io>

	* ext/x264/gstx264enc.c:
	  x264enc: Check more video info fields to decide whether to reconfigure encoder
	  The encoder is also initialised using interlace mode, colorimetry, chroma-site
	  and multiview mode, so let's make sure we only skip reinitialising the encoder
	  in set_format() if none of those have changed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4395>

2023-03-17 16:32:45 +0200  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/x264enc.c:
	  plugins: Fix various trivial clang compiler warnings
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4210>

2023-03-15 18:53:09 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  gst-plugins-ugly: re-indent with GNU indent 2.2.12
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4182>

2023-01-08 17:15:12 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: drop use of GSlice
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3695>

2023-01-08 17:15:00 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/x264/gstx264enc.c:
	  x264enc: drop use of GSlice
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3695>

2023-01-23 23:04:53 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3775>

=== release 1.22.0 ===

